Arch Building/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/pl |Name=Arch Building |Name/pl=Architektura: Budynek |MenuLocation=Architektura → Budynek |Workbenches=Architektura |Shortcut={{KEY|B}} {{KEY|U}} |SeeAlso=Część budynku, Teren }}")
(Created page with "==Opcje==")
Line 27: Line 27:
==Użycie==
==Użycie==


# Opcjonalnie wybierz jeden lub więcej obiektów, które mają być zawarte w nowym budynku.
# Optionally, select one or more objects to be included in your new building.
# Press the {{Button|[[Image:Arch Building.svg|16px]] [[Arch Building|Arch Building]]}} button, or press the {{KEY|B}} then {{KEY|U}} keys.
# Naciśnij przycisk {{Button|[[Image:Arch_Building.svg|16px]] '''Budynek'''}} lub naciśnij klawisze {{KEY|B}}, a następnie {{KEY|U}}.


==Options==
<span id="Options"></span>
==Opcje==


* Starting from FreeCAD version 0.18, the Building object is actually a [[Arch BuildingPart|BuildingPart]] with its {{PropertyData|IFC Type}} property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.
* Starting from FreeCAD version 0.18, the Building object is actually a [[Arch BuildingPart|BuildingPart]] with its {{PropertyData|IFC Type}} property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.

Revision as of 11:27, 1 April 2024

Architektura: Budynek

Lokalizacja w menu
Architektura → Budynek
Środowisko pracy
Architektura
Domyślny skrót
B U
Wprowadzono w wersji
-
Zobacz także
Część budynku, Teren

Opis

Budynek środowiska Architektura jest specjalnym typem obiektu grupy FreeCAD, szczególnie odpowiednim do reprezentowania całej jednostki budynku. Są one najczęściej używane do organizowania modelu, zawierając obiekty kondygnacji.

Użycie

  1. Opcjonalnie wybierz jeden lub więcej obiektów, które mają być zawarte w nowym budynku.
  2. Naciśnij przycisk Budynek lub naciśnij klawisze B, a następnie U.

Opcje

  • Starting from FreeCAD version 0.18, the Building object is actually a BuildingPart with its DANEIFC Type property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.
  • After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a building by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

  • DANEBuilding Type: The type of this building, to choose from a list

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Building tool can be used in macros and from the Python console by using the following function:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Creates a Building object from objectslist, which is a list of objects, or baseobj, which is a Shape.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()